Bug 98653

Summary: [EFL] svg/text/lengthAdjust-text-metrics.html fails
Product: WebKit Reporter: Raphael Kubo da Costa (:rakuco) <rakuco>
Component: WebKit EFLAssignee: Nobody <webkit-unassigned>
Status: RESOLVED WONTFIX    
Severity: Normal CC: chavarria1991, lucas.de.marchi, mcatanzaro, mmaxfield
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   

Description Raphael Kubo da Costa (:rakuco) 2012-10-08 09:04:01 PDT
--- /b/webkit/efl/Debug/layout-test-results/svg/text/lengthAdjust-text-metrics-expected.txt
+++ /b/webkit/efl/Debug/layout-test-results/svg/text/lengthAdjust-text-metrics-actual.txt
@@ -38,10 +38,10 @@
 PASS pointToString(svgText.getEndPositionOfChar(3)) is "(210.0,20.0)"
 
 Test getExtentOfChar() API
-PASS rectToString(svgText.getExtentOfChar(0)) is "(10.0,1.9)-(61.5x22.3)"
-PASS rectToString(svgText.getExtentOfChar(1)) is "(71.5,1.9)-(56.4x22.3)"
-PASS rectToString(svgText.getExtentOfChar(2)) is "(127.9,1.9)-(51.3x22.3)"
-PASS rectToString(svgText.getExtentOfChar(3)) is "(179.2,1.9)-(30.8x22.3)"
+FAIL rectToString(svgText.getExtentOfChar(0)) should be (10.0,1.9)-(61.5x22.3). Was (10.0,1.0)-(61.5x24.0).
+FAIL rectToString(svgText.getExtentOfChar(1)) should be (71.5,1.9)-(56.4x22.3). Was (71.5,1.0)-(56.4x24.0).
+FAIL rectToString(svgText.getExtentOfChar(2)) should be (127.9,1.9)-(51.3x22.3). Was (127.9,1.0)-(51.3x24.0).
+FAIL rectToString(svgText.getExtentOfChar(3)) should be (179.2,1.9)-(30.8x22.3). Was (179.2,1.0)-(30.8x24.0).
 
 Test getRotationOfChar() API
 PASS svgText.getRotationOfChar(0).toFixed(1) is "0.0"
Comment 1 Marcos Chavarría Teijeiro (irc: chavaone) 2015-02-20 02:26:57 PST
We have the same failure on GTK+:

https://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20%28Tests%29/r180361%20%286373%29/svg/text/lengthAdjust-text-metrics-pretty-diff.html

We probably need a rebaseline here.
Comment 2 Marcos Chavarría Teijeiro (irc: chavaone) 2015-02-20 02:30:11 PST
We have this problem since r180271 which continues updating test expectated results after rr177774.
Comment 3 Michael Catanzaro 2017-03-11 10:33:02 PST
Closing this bug because the EFL port has been removed from trunk.

If you feel this bug applies to a different upstream WebKit port and was closed in error, please either update the title and reopen the bug, or leave a comment to request this.